var adatsor = ee.Image('NASA/NASADEM_HGT/001');
var dem = adatsor
  .select('elevation')
  .clip(magyarorszag);
Map.setCenter(19, 47.5, 7);
var szinezes = {
  min: 0,
  max: 1000,
  palette: ['006600', '002200', 'fff700', 'ab7634', 'c4d0ff', 'ffffff']
};
Map.addLayer(dem, szinezes, 'Magasság', true, 0.7);

var atlag = dem.reduceRegion({
  reducer: ee.Reducer.mean(),
  geometry: magyarorszag,
  scale: 30,
  maxPixels: 1e9
});
print(atlag);

