Map.setCenter(20.65, 47.6, 11); // Tisza-tó
var kozeppont = Map.getCenter();

var januar = ee.ImageCollection("LANDSAT/LC09/C02/T1_L2")
	.filterBounds(kozeppont)
	.filterDate("2023-01-01", "2023-01-30")
	.first();

var januar_valogatott_retegei = januar.select(["SR_B5", "SR_B1"], ["infravoros", "ultraibolya"]);
januar_valogatott_retegei = januar_valogatott_retegei.slice(-1);
print(januar_valogatott_retegei.bandTypes()); // {'type': 'PixelType', 'precision': 'int', 'min': 0, 'max': 65535}

var megfelelo_cellak = januar_valogatott_retegei.log10().gte(4).not().and(januar.select("SR_B3").neq(januar.select("SR_B4")));
megfelelo_cellak = megfelelo_cellak.rename("megfelelo_cellak");
var januar = januar.addBands(megfelelo_cellak);
Map.addLayer(januar.select("megfelelo_cellak"), {"min": 0, "max": 1}, "összetett feltételnek megfelelő cellák");

