var orszagok = ee.FeatureCollection('USDOS/LSIB/2017');
Map.setCenter(19, 48, 6);
var magyaro = orszagok
  .filter(ee.Filter.eq('COUNTRY_NA', 'Hungary'))
  .style({fillColor: 'ff334455'})
Map.addLayer(magyaro, {}, 'Magyarország');
var mindenmas = orszagok
  .filter(ee.Filter.eq('COUNTRY_NA', 'Hungary').not())
  .style({fillColor: '22ff2255'})
Map.addLayer(mindenmas, {}, 'többi ország');
var hatalmasak = orszagok
  .filter(ee.Filter.gte('Shape_Area', 50))
  .style({fillColor: '2211ff55'})
Map.addLayer(hatalmasak, {}, 'hatalmas országok');
var osszetett_lekerdezes = orszagok
  .filter(
    ee.Filter.and(
      ee.Filter.or(
        ee.Filter.gt('Shape_Area', 100),
        ee.Filter.lt('Shape_Area', 10)
      ),
      ee.Filter.eq('COUNTRY_NA', 'Slovakia')
    )
  )
  .style({fillColor: '66666655'})
Map.addLayer(osszetett_lekerdezes, {}, 'összetett lekérdezés eredménye');
